Уязвимость BDU:2019-03637

Дата: 14.08.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-03637.

Наименование уязвимости: Уязвимость функции mkv::event_thread_t() программы-медиапроигрывателя VideoLAN VLC, позволяющая нарушителю оказать воздействие на целостность данных, получить несанкционированный доступ к защищаемой информации, а также вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции mkv::event_thread_t() программы-медиапроигрывателя VideoLAN VLC связана с переполнением буфера на основе кучи. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, оказать воздействие на целостность данных, получить несанкционированный доступ к защищаемой информации, а также вызвать отказ в обслуживании при помощи специально сформированного mkv файла
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 9.0 | Операционная система Canonical Ltd. Ubuntu 19.04 | Операционная система Debian GNU/Linux 10.0 | Прикладное ПО информационных систем VideoLAN organization VLC Media Player 3.0.7.1 | Операционная система АО «Концерн ВНИИНС» ОС ОН «Стрелец» 1.0 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1804 LTS | Debian GNU/Linux 90 | Ubuntu 1904 | Debian GNU/Linux 100 | ОС ОН «Стрелец» 10 |
Дата выявления: 14.08.2019.
CVSS 2.0: AV:N/AC:M/Au:N/C:P/I:P/A:P
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,8)

Возможные меры по устранению:
Для VLC Media Player:
https://www.videolan.org/security/sb-vlc308.html

Для Debian:
Обновление программного обеспечения (пакета vlc) до 3.0.8-0+deb9u1 или более поздней версии

Для Ubuntu:
https://usn.ubuntu.com/4131-1/

Для ОС ОН «Стрелец»: https://strelets.net/patchi-i-obnovleniya-bezopasnosti#kumulyativnoe-obnovlenie.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-14970.

Тип ошибки CWE: CWE-119
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.videolan.org/security/sb-vlc308.html
https://nvd.nist.gov/vuln/detail/CVE-2019-14970
https://security-tracker.debian.org/tracker/CVE-2019-14970
https://strelets.net/patchi-i-obnovleniya-bezopasnosti#kumulyativnoe-obnovlenie

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *